{
	saved_FirstTime[0]
	
	Init[ ()
	{
		
		if(saved_FirstTime=0)
		{
			saved_FirstTime=1;
			SetNationality(1);
			DropWeaponOnDeath( false );
			PlayAnimation(7);
			SetRunning();
		}
	}]
		
		
		ReachedDestination[ (where)
		{
			if(where = 10)
			{
				SetProne();
				PlayAnimation(9);
				SetState_MG42( Level.GetEntity("MG42"));
			}		
		}]
		
		GoForGun[ ()
		{
			SetRunning();
			PlayAnimation(0);
			WalkTo(28771,25002,10,1);	
		}]
}